package com.casic.missiles.mapper.meter;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.dto.meter.MeterStaffImport;
import com.casic.missiles.dto.meter.MeterStaffRequest;
import com.casic.missiles.dto.meter.MeterWorkbenchResponse;
import com.casic.missiles.model.meter.MeterStaff;
import com.casic.missiles.model.meter.MeterTrainStaff;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 计量管理-计量人员-计量人员表 Mapper 接口
 * </p>
 */

public interface MeterStaffMapper extends BaseMapper<MeterStaff> {

    Page<MeterStaff> selectStaffList(Page<MeterStaff> page, @Param("request") MeterStaffRequest meterStaffRequest);

    List<MeterStaff> selectStaffList(@Param("request") MeterStaffRequest meterStaffRequest);

    long getMaxNo();

    MeterStaff selectStaffInfo(@Param("id")String id);

    void addStaffList(@Param("list") List<MeterStaffImport> list);

    List<MeterWorkbenchResponse> meterStaffStatistic(@Param("startTime")String startTime, @Param("endTime")String endTime);

    Page<MeterTrainStaff> staffCultivateLog(Page<MeterTrainStaff> page, @Param("id")Long id);
}
